<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>s_x_mbigint</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="s_s_mbigint.html">&lt;&lt; s_s_mbigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_a71da073f7cdd3df6cb0e424e8849eae.html">scilab_pdf_help &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a> &gt; s_x_mbigint</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">s_x_mbigint</h1>
    <p class="refpurpose">overloading compatibility for binary operator &#0034;.*&#0034; (element wise product) with double/mbigint</p></div>


<div class="refsynopsisdiv"><h3 class="title">Calling Sequence</h3>
   <div class="synopsis"><pre><span class="default">B</span><span class="default">=</span><span class="default">x</span><span class="default">.*</span><span class="default">A</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">A,B:</span>
      <dd><p class="para">bigint</p></dd></dt>
   <dt><span class="term">x :</span>
      <dd><p class="para">double</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">double/mbigint element wise product</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabcomment">//</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabnumber">123456</span>
<span class="scilabid">y</span><span class="scilaboperator">=</span><span class="scilabnumber">456789</span>
<span class="scilabid">z</span><span class="scilaboperator">=</span><span class="scilabnumber">987654</span>
<span class="scilabid">MM</span><span class="scilaboperator">=</span><span class="scilabopenclose">[</span><span class="scilabid">x</span> <span class="scilabid">y</span><span class="scilabdefault">;</span> <span class="scilabid">z</span> <span class="scilabid">x</span><span class="scilaboperator">-</span><span class="scilabid">z</span><span class="scilabopenclose">]</span>
<span class="scilabid">M</span><span class="scilaboperator">=</span><span class="scilabid">mbigint</span><span class="scilabopenclose">(</span><span class="scilabid">MM</span><span class="scilabopenclose">)</span>
<span class="scilabid">x</span><span class="scilaboperator">.*</span><span class="scilabid">M</span>
<span class="scilabid">x</span><span class="scilaboperator">.*</span><span class="scilabid">MM</span> <span class="scilabcomment">//double verification</span>
<span class="scilabid">P</span><span class="scilaboperator">=</span><span class="scilabopenclose">[</span><span class="scilabid">x</span> <span class="scilabid">x</span><span class="scilabdefault">;</span><span class="scilabid">x</span> <span class="scilabid">x</span><span class="scilabopenclose">]</span>
<span class="scilabid">P</span><span class="scilaboperator">*</span><span class="scilabid">N</span>
<span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabopenclose">)</span><span class="scilaboperator">*</span><span class="scilabid">N</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="bigint.html" class="link">bigint</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="s_s_mbigint.html">&lt;&lt; s_s_mbigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_a71da073f7cdd3df6cb0e424e8849eae.html">scilab_pdf_help &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
